diff -bwcr wais-8-b5/ir/sersrch.c w8b5bio/ir/sersrch.c
*** wais-8-b5/ir/sersrch.c	Tue Apr 28 19:00:13 1992
--- w8b5bio/ir/sersrch.c	Thu Oct 29 19:59:32 1992
***************
*** 36,41 ****
--- 36,44 ----
  
  #include "cdialect.h"
  #include "irfiles.h"
+ #ifdef BIO
+ #include "irtfiles.h" /* dgg, for wordDelimiter */
+ #endif
  #include "irsearch.h"
  #include "irext.h"
  #include "byte_order.h"
***************
*** 170,175 ****
--- 173,181 ----
  
  double *document_score_array = NULL;
  long document_score_array_len = 0;
+ #ifdef BOOLEANS
+ double *prev_score_array = NULL;					/* 12/91 GS TLG */
+ #endif
  
  /* make_document_score_array insures that the document_score_array
     array is long enough, if not it makes it long enough */
***************
*** 182,190 ****
--- 188,202 ----
    /* we have to make a new one.  free the old one first (if any) */
    if(document_score_array != 0){
      s_free(document_score_array);
+ #ifdef BOOLEANS
+     s_free(prev_score_array);					/* 12/91 GS TLG */
+ #endif
    }
    document_score_array = (double*)s_malloc(
  					 (size_t)(length * sizeof(double)));
+ #ifdef BOOLEANS
+   prev_score_array   = (double*)s_malloc((size_t)(length * sizeof(double)));  /* 12/91 GS TLG */
+ #endif
    document_score_array_len = length;
  }
  
***************
*** 192,197 ****
--- 204,212 ----
  static void destroy_document_score_array()
  {
    s_free(document_score_array);
+ #ifdef BOOLEANS
+   s_free(prev_score_array);					/* 12/91 GS TLG */
+ #endif
    document_score_array_len = 0;
  }
      
***************
*** 200,205 ****
--- 215,224 ----
  { 
    memset(document_score_array, 0, 
  	 document_score_array_len * sizeof(double));
+ #ifdef BOOLEANS
+   memset(prev_score_array, 0,					/* 12/91 GS TLG */
+          document_score_array_len * sizeof(double));		/* 12/91 GS TLG */
+ #endif
  }
  
  /* for debugging purposes */
***************
*** 420,425 ****
--- 439,450 ----
    return(0);
  }
  
+ 
+ #ifdef BOOLEANS
+ static boolean   gLastAnd= false;
+ static boolean   gLastNot= false;
+ #endif
+ 
  /* see irext.h for doc */
  long search_word(word,char_pos, line_pos, weight, doc_id, 
  		 word_pair, db)
***************
*** 452,461 ****
--- 477,557 ----
    char *i;
    FILE *stream = NULL;
  
+ #ifdef LITERAL
+   long txt_pos, icnt, wcnt, pcnt;					/* 2/92 GS TLG */
+   document_table_entry doc_entry;					/* 2/92 GS TLG */
+   static FILE *txt_stream = NULL;					/* 2/92 GS TLG */
+   char cmpr_word[MAX_PHRASE_LENGTH + 1];				/* 2/92 GS TLG */
+   char phrase[MAX_PHRASE_LENGTH + 1];					/* 2/92 GS TLG */
+   char txt_filename[MAX_FILENAME_LEN + 1];				/* 2/92 GS TLG */
+   char prev_txt_filename[MAX_FILENAME_LEN + 1];				/* 2/92 GS TLG */
+   char txt_type[MAX_TYPE_LEN + 1];					/* 2/92 GS TLG */
+   long phraselen= 0, txt_pos_fix= 0;
+ #endif
+   
+ #ifdef LITERAL
+   if (weight==LITERAL_FLAG) {
+     /* goto after_booleans */
+ /* printf("search_word: literal word is [%s]\n", word); */
+     }
+   else 
+ #endif
+ #ifdef BOOLEANS
+   if (strcmp(word,BOOLEAN_AND)==0) {  /* should be all lowercase cmp here */
+     gLastAnd= true;
+     return(0);
+     }
+   else if (strcmp(word,BOOLEAN_NOT)==0) {  
+   /* ^^ this is bad if we intersperse "not"s in a query --
+      docs found after not word may include notted word --
+      need to go back to doing not words after others --
+      but need now to check for literal string first
+   */
+     gLastNot= true;
+     return(0);
+     }
+   if (weight == BOOLEAN_NOT_FLAG) gLastNot= true;
+ #else
+      ;   /* if not LITERAL_FLAG */
+ #endif
+ 
    index_buffer = (char*)index_buffer_data;
  
+ #ifdef LITERAL
+   if (weight==LITERAL_FLAG) {
+   /* note: we found the first word of phrase once in map_over_words, but i'm too lazy 
+   	to put another parameter in that cascade of function calls it takes
+ 	to get here.
+   */
+     char  word1[MAX_WORD_LENGTH + 1];
+     register int i, len;
+     register boolean more;
+     phraselen= MIN( MAX_PHRASE_LENGTH, strlen(word));
+     len = MIN( MAX_WORD_LENGTH, phraselen);
+     for (i=0, more=true; i < len && more; ) {
+        word1[i] = word[i++];
+ #ifdef BIO
+        more= (wordDelimiter(word[i]) == NOT_DELIMITER); 
+ #else
+        more= (isalnum(word[i]));
+ #endif
+        }
+     word1[i]= '\0';
+     txt_pos_fix= strlen(word1) + 1;
+ /* printf("search_word: literal word1 is [%s]\n", word1); */
      index_file_block_number = 
+      look_up_word_in_dictionary(word1, &number_of_occurances, db);
+     }
+   else
+ #endif  /* LITERAL */
+ 
+ #ifdef PARTIALWORD
+   index_file_block_number = 
+     look_up_partialword_in_dictionary(word, &number_of_occurances, db);
+ #else
+   index_file_block_number = 
      look_up_word_in_dictionary(word, &number_of_occurances, db);
+ #endif
  
    current_best_hit = 0;  /* so that the best hits willstart from 0 */
  
***************
*** 464,469 ****
--- 560,568 ----
      make_document_score_array(db->doc_table_allocated_entries);
  
    if(index_file_block_number >= 0){
+ #ifdef PARTIALWORD
+    while(index_file_block_number > 0){  /* dgg, need 2nd loop here for multiple partwords */
+ #endif
      stream = db->index_stream;
      
      while((not_full_flag != INDEX_BLOCK_NOT_FULL_FLAG) && 
***************
*** 475,480 ****
--- 574,582 ----
  	  waislog(WLOG_HIGH, WLOG_ERROR, 
  		  "fseek failed into the inverted file to position %ld",
  		  (long)index_file_block_number); 
+ #ifdef BOOLEANS
+    gLastNot= gLastAnd= false;
+ #endif  
  	  return(-1);
  	}
        
***************
*** 511,516 ****
--- 613,621 ----
  	{ 
  	  waislog(WLOG_HIGH, WLOG_ERROR, 
  		  "reading from the index file failed");
+ #ifdef BOOLEANS
+    gLastNot= gLastAnd= false;
+ #endif  
  	  return(-1);
  	}
        
***************
*** 526,531 ****
--- 631,639 ----
  	waislog(WLOG_HIGH, WLOG_ERROR, 
  		"Expected the flag in the inverted file to be valid.  it is %ld",
  		not_full_flag);
+ #ifdef BOOLEANS
+    gLastNot= gLastAnd= false;
+ #endif  
  	return(-1);
        }
        /* printf("number of valid bytes: %ld\n", number_of_valid_entries); */
***************
*** 547,552 ****
--- 655,670 ----
  	       DOCUMENT_ID_SIZE+WORD_POSITION_SIZE+CHARACTER_POSITION_SIZE);
  	ASSIGN(did,DOCUMENT_ID_SIZE,i,INDEX_ELEMENT_SIZE,0);
  
+ #ifdef LITERAL
+ 	/* dgg -- is this proper update of read form to ASSIGN form ??*/
+ 	/* txt_pos = read_bytes(CHARACTER_POSITION_SIZE, stream);*/		/* 2/92 GS TLG */
+         if ((weight == LITERAL_FLAG) && (0 == doc_id))  {		 
+ 	ASSIGN(txt_pos,CHARACTER_POSITION_SIZE,i+DOCUMENT_ID_SIZE+WORD_POSITION_SIZE,
+ 		INDEX_ELEMENT_SIZE,DOCUMENT_ID_SIZE+WORD_POSITION_SIZE);
+ /* printf("search_word: txtpos=%d, wgt=%d, did=%d\n", txt_pos, wgt, did); */
+         }
+ #endif
+ 
  	internal_weight = wgt;
  	internal_document_id = did;
  
***************
*** 559,581 ****
  	  { 
  	    waislog(WLOG_HIGH, WLOG_ERROR, 
  		    "reading from the doc-id table failed");
  	    return(-1);
  	  }
  	/* if(doc_id > 0) we are doing a relevant document */
  	document_score_array[internal_document_id] += 
  	  (doc_id) ? (internal_weight * RF_WEIGHTING) : internal_weight;
  	i+=INDEX_ELEMENT_SIZE;
        }
      }
      return(0); 
    }
    else if(0 == index_file_block_number){
      /* an error occurred on looking up the word */
      return(-1);
    }
!   else				/* index_file_block_number is negative */
      return(0);		/* word not present */
  }
  
  /* now collect the best hits */
  long finished_search_word(db)
--- 677,783 ----
  	  { 
  	    waislog(WLOG_HIGH, WLOG_ERROR, 
  		    "reading from the doc-id table failed");
+ #ifdef BOOLEANS
+    gLastNot= gLastAnd= false;
+ #endif  
  	    return(-1);
  	  }
+ 
+ #ifdef LITERAL         
+         if ((weight == LITERAL_FLAG) && (0 == doc_id)) {		/* 2/92 GS TLG */
+           if (true == read_document_table_entry(&doc_entry,		/* 2/92 GS TLG */
+                                              internal_document_id, db)) /* 2/92 GS TLG */
+ 	   {								/* 2/92 GS TLG */
+             read_filename_table_entry(doc_entry.filename_id,		/* 2/92 GS TLG */
+                                       txt_filename, txt_type, NULL, db);  /* 2/92 GS TLG */
+ /* printf("search_word: document is [%s]\n", txt_filename); */
+             if (NULL == txt_stream) {
+               txt_stream = s_fopen(txt_filename, "rb");
+               strcpy(prev_txt_filename, txt_filename);
+               }
+             else if (0 != strcmp(txt_stream, prev_txt_filename)) {
+               s_fclose(txt_stream);
+               txt_stream = s_fopen(txt_filename, "rb");
+               strcpy(prev_txt_filename, txt_filename);		/* 2/92 GS TLG */
+               }
+ 
+             txt_pos += doc_entry.start_character - txt_pos_fix;  /* dgg */
+             s_fseek(txt_stream, txt_pos, SEEK_SET);			/* 2/92 GS TLG */
+             fread(phrase, 1L, phraselen, txt_stream);			/* 2/92 GS TLG */
+ /* { phrase[phraselen]= '\0';
+ printf("search_word: file phrase is [%s]\n", phrase); 
+ } */
+             if (0 != strncasecmp(word, phrase, phraselen))		/* 2/92 GS TLG */
+               internal_weight = 0;					/* 2/92 GS TLG */
+           }
+         }								/* 2/92 GS TLG */
+ #endif
+ 
+ #ifdef BOOLEANS
+ 	if (gLastNot) {    
+ 	   document_score_array[internal_document_id] = 0;
+ /* 	printf("search_word: boolean 'not' scored\n"); */
+ 	    }
+ 	 else 
+ #endif
+ 	{
  	/* if(doc_id > 0) we are doing a relevant document */
  	document_score_array[internal_document_id] += 
  	  (doc_id) ? (internal_weight * RF_WEIGHTING) : internal_weight;
+ 	}
+ 
  	i+=INDEX_ELEMENT_SIZE;
        }
      }
+ 
+ #ifdef PARTIALWORD
+   index_file_block_number = 
+     look_up_partialword_in_dictionary(NULL, &number_of_occurances, db);
+   }
+ #endif
+ 
+ 
+ #ifdef BOOLEANS
+     for (count=0; count < db->doc_table_allocated_entries; count++) {   /* 12/91 GS TLG */
+       if (!gLastAnd) { 							/* 12/91 GS TLG */
+         prev_score_array[count] = document_score_array[count];		/* 12/91 GS TLG */
+         }			 					/* 12/91 GS TLG */
+       else {	   							/* 12/91 GS TLG */
+         if ((document_score_array[count] == prev_score_array[count])	/* 12/91 GS TLG */
+             || (prev_score_array[count] == 0)) {
+ 	  document_score_array[count] = 0;				/* 12/91 GS TLG */
+           prev_score_array[count] = 0;					/* 12/91 GS TLG */
+           }								/* 12/91 GS TLG */
+         else {  
+ 	  prev_score_array[count] = document_score_array[count];	/* 12/91 GS TLG */
+           }								/* 12/91 GS TLG */
+       }									/* 12/91 GS TLG */
+     }									/* 12/91 GS TLG */
+ /*  if (gLastAnd) printf("search_word: boolean `and' scored\n"); */
+ #endif 
+ 
+ #ifdef BOOLEANS
+    gLastNot= gLastAnd= false;
+ #endif /* BOOLEANS */
      return(0); 
    }
+   
    else if(0 == index_file_block_number){
      /* an error occurred on looking up the word */
+ #ifdef BOOLEANS
+    gLastNot= gLastAnd= false;
+ #endif 
      return(-1);
    }
!   
!   else {				/* index_file_block_number is negative */
! #ifdef BOOLEANS
!    gLastNot= gLastAnd= false;
! #endif 
      return(0);		/* word not present */
      }
+ }
+ 
  
  /* now collect the best hits */
  long finished_search_word(db)
Only in w8b5bio/ir: sersrch.c.O
diff -bwcr wais-8-b5/ir/server-single.c w8b5bio/ir/server-single.c
*** wais-8-b5/ir/server-single.c	Sun May 10 16:49:04 1992
--- w8b5bio/ir/server-single.c	Sun Nov  8 19:27:49 1992
***************
*** 399,408 ****
--- 399,425 ----
    extern char *sys_errlist[];
    char host_name[255];
    static long current_id = 1, current_log_line = 0;
+   dataopsrec	dataops;  
  
    command_name = next_argument;
    host_name[0] = 0;
  
+ /* dgg -- must duplicate mods to irbuild.c, here is mini-build of INFO.src */
+   dataops.separator_function= NULL;
+   dataops.header_function= NULL;
+   dataops.date_function= NULL;
+   dataops.finish_header_function= NULL;
+   dataops.type= "WSRC";
+   dataops.wordDelimiter= wordbreak_notalnum;
+   dataops.addseparatorwords= false;
+   dataops.extraheaderweight= true;
+   dataops.repeat_weight= 1;
+   dataops.minwordlen= 2;
+   stop_list_file("\0");
+   gDelimiters[0]= '\0';  
+   wordDelimiter= wordbreak_notalnum;   
+ /* dgg -- end new inits */
+ 
    getitimer(ITIMER_REAL, &old);
    for(i = 0; i < 200; i++)
      clients[i].file = NULL;
***************
*** 555,562 ****
  	  strncat(filename, (*s)->d_name, MAX_FILENAME_LEN);
  	  waislog(WLOG_MEDIUM, WLOG_INDEX,
  		  "Indexing %s", filename);
! 	  index_text_file(filename, NULL, NULL, NULL, 
! 			  NULL, "WSRC", db, true, false);
  	  s++;
  	}
  	freedir(list);		/* array of filenames */
--- 572,578 ----
  	  strncat(filename, (*s)->d_name, MAX_FILENAME_LEN);
  	  waislog(WLOG_MEDIUM, WLOG_INDEX,
  		  "Indexing %s", filename);
! 	  index_text_file(filename, &dataops, db, true, false);
  	  s++;
  	}
  	freedir(list);		/* array of filenames */
diff -bwcr wais-8-b5/ir/server.c w8b5bio/ir/server.c
*** wais-8-b5/ir/server.c	Sun May 10 16:47:38 1992
--- w8b5bio/ir/server.c	Mon Nov  9 10:10:52 1992
***************
*** 409,414 ****
--- 409,415 ----
    extern char *sys_errlist[];
    char host_name[255], host_address[255];
    extern void filename_finish_header_function();
+   dataopsrec	dataops;  
    
  #ifdef SET_LIMIT
    struct rlimit rlp;
***************
*** 418,423 ****
--- 419,440 ----
    setrlimit(RLIMIT_CORE, &rlp);
  #endif
  
+ /* dgg -- must duplicate mods to irbuild.c, here is mini-build of INFO.src */
+   dataops.separator_function= NULL;
+   dataops.header_function= NULL;
+   dataops.date_function= NULL;
+   dataops.finish_header_function= filename_finish_header_function;
+   dataops.type= "WSRC";
+   dataops.wordDelimiter= wordbreak_notalnum;
+   dataops.addseparatorwords= false;
+   dataops.extraheaderweight= true;
+   dataops.repeat_weight= 1;
+   dataops.minwordlen= 2;
+   stop_list_file("\0");
+   gDelimiters[0]= '\0';  
+   wordDelimiter= wordbreak_notalnum;   
+ /* dgg -- end new inits */
+ 
    tcp_port = 210;			/* tcp_port to use */
    command_name = next_argument;
    host_name[0] = 0;
***************
*** 439,445 ****
  
        peer = gethostbyaddr(&source.sin_addr, 4, AF_INET);
  
!       if(peer != NULL)
  	sprintf(host_name, "%s", peer->h_name);
  
        sprintf(host_address, "%s",
--- 456,462 ----
  
        peer = gethostbyaddr(&source.sin_addr, 4, AF_INET);
  
!       if(peer != NULL) {
  	sprintf(host_name, "%s", peer->h_name);
  
  	sprintf(host_address, "%s",
***************
*** 450,455 ****
--- 467,473 ----
  #endif				/* sparc */
  		);
        }
+     }
      else sprintf(host_address, "Error getting socket: %d, %s.", errno, sys_errlist[errno]);
  
     use_stdio = TRUE;
***************
*** 617,625 ****
  	  strncat(filename, (*s)->d_name, MAX_FILENAME_LEN);
  	  waislog(WLOG_MEDIUM, WLOG_INDEX,
  		  "Indexing %s", filename);
! 	  index_text_file(filename, NULL, NULL, NULL, 
! 			  filename_finish_header_function,
! 			  "WSRC", db, true, false,
  			  false, true);
  	  s++;
  	}
--- 635,641 ----
  	  strncat(filename, (*s)->d_name, MAX_FILENAME_LEN);
  	  waislog(WLOG_MEDIUM, WLOG_INDEX,
  		  "Indexing %s", filename);
! 	  index_text_file(filename, &dataops, db, true, false,
  			  false, true);    
  	  s++;
  	}
Only in w8b5bio/ir: server.c.orig
diff -bwcr wais-8-b5/ir/sockets.c w8b5bio/ir/sockets.c
*** wais-8-b5/ir/sockets.c	Wed May  6 19:34:00 1992
--- w8b5bio/ir/sockets.c	Mon Nov  9 10:10:52 1992
***************
*** 187,192 ****
--- 187,193 ----
  
      peer = gethostbyaddr(&source.sin_addr, 4, AF_INET);
  
+     if(peer != NULL) {
        waislog(WLOG_MEDIUM, WLOG_CONNECT,
  	      "Accepted connection from: %s [%s]",
  	      peer->h_name,
***************
*** 196,201 ****
--- 197,213 ----
  	      inet_ntoa(source.sin_addr)
  #endif				/* sparc */
  	      );
+     }
+     else {
+       waislog(WLOG_MEDIUM, WLOG_CONNECT,
+ 	      "Accepted connection from: [%s]",
+ #if defined(sparc) && defined(__GNUC__)
+ 	      inet_ntoa(&source.sin_addr)
+ #else
+ 	      inet_ntoa(source.sin_addr)
+ #endif				/* sparc */
+ 	      );
+     }
    }
    if (*fd < 0)
      panic("can't accept connection");
Only in w8b5bio/ir: sockets.c.orig
diff -bwcr wais-8-b5/ir/stoplist.c w8b5bio/ir/stoplist.c
*** wais-8-b5/ir/stoplist.c	Wed Feb 12 16:49:08 1992
--- w8b5bio/ir/stoplist.c	Thu Oct 29 20:01:49 1992
***************
*** 23,29 ****
--- 23,31 ----
  
  #include "stoplist.h"
  #include "cutil.h"
+ #include <string.h>
  
+ static char stoplist_filename[MAX_FILENAME_LEN];  /* dgg */
  long stoplist_pointer = 0;
  char *stoplist[] = {
    "a",
***************
*** 416,423 ****
--- 418,468 ----
    "yourselves",
    "z", NULL};
  
+ long	nstops = 0;
+ char	**stop_from_file  = NULL;	/* dgg */
+ char	**stop_ptr;			/* dgg */
+ typedef	char (*charptr);
+ 
+ void stop_list_file(filename)
+ char *filename;
+ {
+   strcpy(stoplist_filename, filename);
+ }
+  
  void init_stop_list()
  {
+ #ifdef BIO
+   if (nstops>0 && stop_from_file != NULL) { /* dgg */
+ 	int  i;
+ 	for (i=0; i<nstops; i++) free(stop_from_file[i]);
+ 	free(stop_from_file);
+ 	nstops=0;
+ 	}
+ /* printf("init_stop_list: stoplist file is '%s'\n", stoplist_filename); */
+   if (stoplist_filename[0] != '\0') {
+ 	char	word[256];
+ 	FILE	*fp;
+ 	fp= fopen(stoplist_filename,"r");
+ 	nstops=1;
+ 	(void*) stop_from_file= malloc( nstops*sizeof(charptr));
+ 	while (fgets( word, 255, fp)) {
+ 		char* cp=strstr( word, "\n");
+ 		if (cp != NULL) *cp= '\0';
+ 		stop_from_file[nstops-1]= malloc( strlen(word)+1);
+ 		strcpy(stop_from_file[nstops-1], word);
+ /* printf("init_stop_list: word %d is '%s'\n", nstops, stop_from_file[nstops-1]); */
+ 		nstops++;
+ 		(void*) stop_from_file= realloc( stop_from_file, nstops*sizeof(charptr));
+ 		}
+ 	fclose( fp);
+ 	stop_from_file[nstops-1]= NULL;
+ 	stop_ptr= stop_from_file;
+ /* printf("init_stop_list: read %d stop words from '%s'\n", nstops-1, stoplist_filename); */
+ 	}
+   else 
+ #endif
+ 	stop_ptr= stoplist;
+ 	
    stoplist_pointer = 0;
  }
   
***************
*** 425,434 ****
  char *next_stop_word()
  {
    /* returns NULL if all out */
!   if(stoplist[stoplist_pointer] == NULL)
      return(NULL);
    else
!     return(stoplist[stoplist_pointer++]);
  }
  
    
--- 470,479 ----
  char *next_stop_word()
  {
    /* returns NULL if all out */
!   if(stop_ptr[stoplist_pointer] == NULL)
      return(NULL);
    else
!     return(stop_ptr[stoplist_pointer++]);
  }
  
    
diff -bwcr wais-8-b5/ir/stoplist.h w8b5bio/ir/stoplist.h
*** wais-8-b5/ir/stoplist.h	Wed Dec  4 23:21:08 1991
--- w8b5bio/ir/stoplist.h	Thu Oct 29 20:01:51 1992
***************
*** 7,12 ****
--- 7,15 ----
  #define STOPLIST_H
  
  #include "cdialect.h"
+ #include "cutil.h"
+ 
+ void stop_list_file _AP((char *filename));
  
  void init_stop_list _AP((void));
  
diff -bwcr wais-8-b5/ui/Makefile w8b5bio/ui/Makefile
*** wais-8-b5/ui/Makefile	Tue Mar 17 17:25:05 1992
--- w8b5bio/ui/Makefile	Sun Jun 21 16:11:36 1992
***************
*** 60,66 ****
  #
  
  # C Compiler.  Use either cc or gcc.
! CC = gcc
  
  # Compiler & linker flags.
  # Compiler debug flag.  Use -g for debugging, -O for optimization.
--- 60,67 ----
  #
  
  # C Compiler.  Use either cc or gcc.
! #CC = gcc
! CC = cc
  
  # Compiler & linker flags.
  # Compiler debug flag.  Use -g for debugging, -O for optimization.
diff -bwcr wais-8-b5/ui/source.c w8b5bio/ui/source.c
*** wais-8-b5/ui/source.c	Thu Apr  2 17:22:50 1992
--- w8b5bio/ui/source.c	Mon Oct 12 15:18:12 1992
***************
*** 46,51 ****
--- 46,53 ----
  
  #define _C_SOURCE
  
+ /* #define MAIN    /* dgg -- for gopherd */
+ 
  #include "wais.h"
  #include "globals.h"
  
diff -bwcr wais-8-b5/wais-sources/INFO.src w8b5bio/wais-sources/INFO.src
*** wais-8-b5/wais-sources/INFO.src	Mon Oct 12 12:16:25 1992
--- w8b5bio/wais-sources/INFO.src	Sun Nov  8 19:42:56 1992
***************
*** 9,14 ****
     :cost 0.00 
     :cost-unit :free 
     :maintainer "molbio@fly"
!    :description "Server created with WAIS release 8 b5 on Oct 12 12:16:25 1992 by molbio@fly
  "
  )
--- 9,14 ----
     :cost 0.00 
     :cost-unit :free 
     :maintainer "molbio@fly"
!    :description "Server created with WAIS release 8 b5 on Nov  8 19:42:56 1992 by molbio@fly
  "
  )
Only in wais-8-b5/wais-sources: README
Only in wais-8-b5/wais-sources: directory-of-servers.src
Only in w8b5bio/wais-sources: test.cat
Only in w8b5bio/wais-sources: test.dct
Only in w8b5bio/wais-sources: test.dlm
Only in w8b5bio/wais-sources: test.doc
Only in w8b5bio/wais-sources: test.fn
Only in w8b5bio/wais-sources: test.hl
Only in w8b5bio/wais-sources: test.inv
Only in w8b5bio/wais-sources: test.src
Only in w8b5bio/x: Makefile
.
